uses Mouse, Crt;

begin
  {Check whether a mouse is connected}
  if not IfMouse then begin
    Writeln ('Mouse not installed');
    Halt;
  end;

  {Clear the screen}
  ClrScr;

  {Activate the cursor}
  ShowMouse;

  repeat
    {Get the mouse status}
    ReadMouse;
    {Display the coordinates}
    GotoXY (1, 1);
    Writeln ('X:', MouseX:4, ' Y:', MouseY:4);
    {If MouseB and 1 = 1 then the left mouse button is down}
    Writeln ('Left   : ', MouseB and 1 = 1:5);
    {If MouseB and 2 = 2 then the right mouse button is down}
    Writeln ('Right  : ', MouseB and 2 = 2:5);
    {If MouseB and 4 = 4 then the middle mouse button is down}
    Writeln ('Middle : ', MouseB and 4 = 4:5);
    {repeat that until both left and right buttons are down}
  until MouseB = 3;

  {Disable the cursor}
  HideMouse;
end.